Package com.trilead.ssh2.packets

# Class Packets

java.lang.Object
com.trilead.ssh2.packets.Packets

public class Packets extends Object
Packets.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SSH_DISCONNECT_AUTH_CANCELLED_BY_USER`
`static final int`
`SSH_DISCONNECT_BY_APPLICATION`
`static final int`
`SSH_DISCONNECT_COMPRESSION_ERROR`
`static final int`
`SSH_DISCONNECT_CONNECTION_LOST`
`static final int`
`SSH_DISCONNECT_HOST_KEY_NOT_VERIFIABLE`
`static final int`
`SSH_DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT`
`static final int`
`SSH_DISCONNECT_ILLEGAL_USER_NAME`
`static final int`
`SSH_DISCONNECT_KEY_EXCHANGE_FAILED`
`static final int`
`SSH_DISCONNECT_MAC_ERROR`
`static final int`
`SSH_DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE`
`static final int`
`SSH_DISCONNECT_PROTOCOL_ERROR`
`static final int`
`SSH_DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED`
`static final int`
`SSH_DISCONNECT_RESERVED`
`static final int`
`SSH_DISCONNECT_SERVICE_NOT_AVAILABLE`
`static final int`
`SSH_DISCONNECT_TOO_MANY_CONNECTIONS`
`static final int`
`SSH_EXTENDED_DATA_STDERR`
`static final int`
`SSH_MSG_CHANNEL_CLOSE`
`static final int`
`SSH_MSG_CHANNEL_DATA`
`static final int`
`SSH_MSG_CHANNEL_EOF`
`static final int`
`SSH_MSG_CHANNEL_EXTENDED_DATA`
`static final int`
`SSH_MSG_CHANNEL_FAILURE`
`static final int`
`SSH_MSG_CHANNEL_OPEN`
`static final int`
`SSH_MSG_CHANNEL_OPEN_CONFIRMATION`
`static final int`
`SSH_MSG_CHANNEL_OPEN_FAILURE`
`static final int`
`SSH_MSG_CHANNEL_REQUEST`
`static final int`
`SSH_MSG_CHANNEL_SUCCESS`
`static final int`
`SSH_MSG_CHANNEL_WINDOW_ADJUST`
`static final int`
`SSH_MSG_DEBUG`
`static final int`
`SSH_MSG_DISCONNECT`
`static final int`
`SSH_MSG_GLOBAL_REQUEST`
`static final int`
`SSH_MSG_IGNORE`
`static final int`
`SSH_MSG_KEX_DH_GEX_GROUP`
`static final int`
`SSH_MSG_KEX_DH_GEX_INIT`
`static final int`
`SSH_MSG_KEX_DH_GEX_REPLY`
`static final int`
`SSH_MSG_KEX_DH_GEX_REQUEST`
`static final int`
`SSH_MSG_KEX_DH_GEX_REQUEST_OLD`
`static final int`
`SSH_MSG_KEXDH_INIT`
`static final int`
`SSH_MSG_KEXDH_REPLY`
`static final int`
`SSH_MSG_KEXINIT`
`static final int`
`SSH_MSG_NEWKEYS`
`static final int`
`SSH_MSG_REQUEST_FAILURE`
`static final int`
`SSH_MSG_REQUEST_SUCCESS`
`static final int`
`SSH_MSG_SERVICE_ACCEPT`
`static final int`
`SSH_MSG_SERVICE_REQUEST`
`static final int`
`SSH_MSG_UNIMPLEMENTED`
`static final int`
`SSH_MSG_USERAUTH_BANNER`
`static final int`
`SSH_MSG_USERAUTH_FAILURE`
`static final int`
`SSH_MSG_USERAUTH_INFO_REQUEST`
`static final int`
`SSH_MSG_USERAUTH_INFO_RESPONSE`
`static final int`
`SSH_MSG_USERAUTH_REQUEST`
`static final int`
`SSH_MSG_USERAUTH_SUCCESS`
`static final int`
`SSH_OPEN_ADMINISTRATIVELY_PROHIBITED`
`static final int`
`SSH_OPEN_CONNECT_FAILED`
`static final int`
`SSH_OPEN_RESOURCE_SHORTAGE`
`static final int`
`SSH_OPEN_UNKNOWN_CHANNEL_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`Packets()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`getMessageName(int type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SSH_MSG_DISCONNECT

public static final int SSH_MSG_DISCONNECT

See Also:
  - Constant Field Values

### SSH_MSG_IGNORE

public static final int SSH_MSG_IGNORE

See Also:
  - Constant Field Values

### SSH_MSG_UNIMPLEMENTED

public static final int SSH_MSG_UNIMPLEMENTED

See Also:
  - Constant Field Values

### SSH_MSG_DEBUG

public static final int SSH_MSG_DEBUG

See Also:
  - Constant Field Values

### SSH_MSG_SERVICE_REQUEST

public static final int SSH_MSG_SERVICE_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_SERVICE_ACCEPT

public static final int SSH_MSG_SERVICE_ACCEPT

See Also:
  - Constant Field Values

### SSH_MSG_KEXINIT

public static final int SSH_MSG_KEXINIT

See Also:
  - Constant Field Values

### SSH_MSG_NEWKEYS

public static final int SSH_MSG_NEWKEYS

See Also:
  - Constant Field Values

### SSH_MSG_KEXDH_INIT

public static final int SSH_MSG_KEXDH_INIT

See Also:
  - Constant Field Values

### SSH_MSG_KEXDH_REPLY

public static final int SSH_MSG_KEXDH_REPLY

See Also:
  - Constant Field Values

### SSH_MSG_KEX_DH_GEX_REQUEST_OLD

public static final int SSH_MSG_KEX_DH_GEX_REQUEST_OLD

See Also:
  - Constant Field Values

### SSH_MSG_KEX_DH_GEX_REQUEST

public static final int SSH_MSG_KEX_DH_GEX_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_KEX_DH_GEX_GROUP

public static final int SSH_MSG_KEX_DH_GEX_GROUP

See Also:
  - Constant Field Values

### SSH_MSG_KEX_DH_GEX_INIT

public static final int SSH_MSG_KEX_DH_GEX_INIT

See Also:
  - Constant Field Values

### SSH_MSG_KEX_DH_GEX_REPLY

public static final int SSH_MSG_KEX_DH_GEX_REPLY

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_REQUEST

public static final int SSH_MSG_USERAUTH_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_FAILURE

public static final int SSH_MSG_USERAUTH_FAILURE

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_SUCCESS

public static final int SSH_MSG_USERAUTH_SUCCESS

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_BANNER

public static final int SSH_MSG_USERAUTH_BANNER

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_INFO_REQUEST

public static final int SSH_MSG_USERAUTH_INFO_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_USERAUTH_INFO_RESPONSE

public static final int SSH_MSG_USERAUTH_INFO_RESPONSE

See Also:
  - Constant Field Values

### SSH_MSG_GLOBAL_REQUEST

public static final int SSH_MSG_GLOBAL_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_REQUEST_SUCCESS

public static final int SSH_MSG_REQUEST_SUCCESS

See Also:
  - Constant Field Values

### SSH_MSG_REQUEST_FAILURE

public static final int SSH_MSG_REQUEST_FAILURE

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_OPEN

public static final int SSH_MSG_CHANNEL_OPEN

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_OPEN_CONFIRMATION

public static final int SSH_MSG_CHANNEL_OPEN_CONFIRMATION

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_OPEN_FAILURE

public static final int SSH_MSG_CHANNEL_OPEN_FAILURE

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_WINDOW_ADJUST

public static final int SSH_MSG_CHANNEL_WINDOW_ADJUST

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_DATA

public static final int SSH_MSG_CHANNEL_DATA

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_EXTENDED_DATA

public static final int SSH_MSG_CHANNEL_EXTENDED_DATA

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_EOF

public static final int SSH_MSG_CHANNEL_EOF

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_CLOSE

public static final int SSH_MSG_CHANNEL_CLOSE

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_REQUEST

public static final int SSH_MSG_CHANNEL_REQUEST

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_SUCCESS

public static final int SSH_MSG_CHANNEL_SUCCESS

See Also:
  - Constant Field Values

### SSH_MSG_CHANNEL_FAILURE

public static final int SSH_MSG_CHANNEL_FAILURE

See Also:
  - Constant Field Values

### SSH_EXTENDED_DATA_STDERR

public static final int SSH_EXTENDED_DATA_STDERR

See Also:
  - Constant Field Values

### SSH_DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT

public static final int SSH_DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT

See Also:
  - Constant Field Values

### SSH_DISCONNECT_PROTOCOL_ERROR

public static final int SSH_DISCONNECT_PROTOCOL_ERROR

See Also:
  - Constant Field Values

### SSH_DISCONNECT_KEY_EXCHANGE_FAILED

public static final int SSH_DISCONNECT_KEY_EXCHANGE_FAILED

See Also:
  - Constant Field Values

### SSH_DISCONNECT_RESERVED

public static final int SSH_DISCONNECT_RESERVED

See Also:
  - Constant Field Values

### SSH_DISCONNECT_MAC_ERROR

public static final int SSH_DISCONNECT_MAC_ERROR

See Also:
  - Constant Field Values

### SSH_DISCONNECT_COMPRESSION_ERROR

public static final int SSH_DISCONNECT_COMPRESSION_ERROR

See Also:
  - Constant Field Values

### SSH_DISCONNECT_SERVICE_NOT_AVAILABLE

public static final int SSH_DISCONNECT_SERVICE_NOT_AVAILABLE

See Also:
  - Constant Field Values

### SSH_DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED

public static final int SSH_DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED

See Also:
  - Constant Field Values

### SSH_DISCONNECT_HOST_KEY_NOT_VERIFIABLE

public static final int SSH_DISCONNECT_HOST_KEY_NOT_VERIFIABLE

See Also:
  - Constant Field Values

### SSH_DISCONNECT_CONNECTION_LOST

public static final int SSH_DISCONNECT_CONNECTION_LOST

See Also:
  - Constant Field Values

### SSH_DISCONNECT_BY_APPLICATION

public static final int SSH_DISCONNECT_BY_APPLICATION

See Also:
  - Constant Field Values

### SSH_DISCONNECT_TOO_MANY_CONNECTIONS

public static final int SSH_DISCONNECT_TOO_MANY_CONNECTIONS

See Also:
  - Constant Field Values

### SSH_DISCONNECT_AUTH_CANCELLED_BY_USER

public static final int SSH_DISCONNECT_AUTH_CANCELLED_BY_USER

See Also:
  - Constant Field Values

### SSH_DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE

public static final int SSH_DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE

See Also:
  - Constant Field Values

### SSH_DISCONNECT_ILLEGAL_USER_NAME

public static final int SSH_DISCONNECT_ILLEGAL_USER_NAME

See Also:
  - Constant Field Values

### SSH_OPEN_ADMINISTRATIVELY_PROHIBITED

public static final int SSH_OPEN_ADMINISTRATIVELY_PROHIBITED

See Also:
  - Constant Field Values

### SSH_OPEN_CONNECT_FAILED

public static final int SSH_OPEN_CONNECT_FAILED

See Also:
  - Constant Field Values

### SSH_OPEN_UNKNOWN_CHANNEL_TYPE

public static final int SSH_OPEN_UNKNOWN_CHANNEL_TYPE

See Also:
  - Constant Field Values

### SSH_OPEN_RESOURCE_SHORTAGE

public static final int SSH_OPEN_RESOURCE_SHORTAGE

See Also:
  - Constant Field Values

## Constructor Details

### Packets

public Packets()

## Method Details

### getMessageName

public static final String getMessageName(int type)